Bug 1121358 - Review Request: xmlrpc-epi - An implementation of the XML-RPC protocol in C
Summary: Review Request: xmlrpc-epi - An implementation of the XML-RPC protocol in C
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-19 19:51 UTC by Shawn Starr
Modified: 2015-06-06 04:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-06 04:12:18 UTC
rdieter: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Shawn Starr 2014-07-19 19:51:35 UTC
I am taking over ownership of this package as it's a dependency needed to build Second Life and simple to manage it.

SPEC: http://spstarr.fedorapeople.org/packages/review/xmlrpc-epi.spec
SRPM: http://spstarr.fedorapeople.org/packages/review/xmlrpc-epi-0.54.2-1.fc21.src.rpm

Description: 

The xmlrpc-epi-devel package contains libraries and header files for
developing applications that use xmlrpc-epi.

Comment 1 Rex Dieter 2014-07-19 20:08:13 UTC
$ rpmlint xmlrpc-epi xmlrpc-epi-devel
xmlrpc-epi-devel.x86_64: W: only-non-binary-in-usr-lib
xmlrpc-epi-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

Naming: ok

License: ok

Sources: ok
081e605491429cda17c5f021f211b8fd  xmlrpc-epi-0.54.2.tar.bz2

scriptlets: ok


1.  SHOULD omit deprecated .spec constructs including:
Group:,BuildRoot: tags
%defattr lines
(empty) %clean section

2.  -devel subpkg MUST use %{?_isa} for main dep dependency, like:
Requires: %{name}%{?_isa} = %{version}-%{release}

3. SHOULD document the need/use-of
rm -r %{buildroot}%{_bindir}
in %install section (preferably in a .spec comment)
As far as I can tell, this is not needed, and can be removed.

4.  SHOULD drop uneccessary 
BuildRequires: libtool

5.  document (or remove) this item in %build section:
cp -pv [A-Z]* ..
As far as I can tell, this is not needed, and can be removed.

6.  SHOULD explicitly track library soname (so bumps aren't surprising). e.g. replace
%{_libdir}/libxmlrpc-epi.so.*
with
%{_libdir}/libxmlrpc-epi.so.0*

Comment 2 Shawn Starr 2014-07-19 20:58:13 UTC
SPEC: http://spstarr.fedorapeople.org/packages/review/xmlrpc-epi.spec
SRPM: http://spstarr.fedorapeople.org/packages/review/xmlrpc-epi-0.54.2-1.fc21.src.rpm


1.  SHOULD omit deprecated .spec constructs including:
Group:,BuildRoot: tags
%defattr lines
(empty) %clean section

-- FIXED


2.  -devel subpkg MUST use %{?_isa} for main dep dependency, like:
Requires: %{name}%{?_isa} = %{version}-%{release}

-- FIXED


3. SHOULD document the need/use-of
rm -r %{buildroot}%{_bindir}
in %install section (preferably in a .spec comment)
As far as I can tell, this is not needed, and can be removed.

-- DOCUMENTED: Those are test tools, we don't need them installed

4.  SHOULD drop uneccessary 
BuildRequires: libtool

-- FIXED

5.  document (or remove) this item in %build section:
cp -pv [A-Z]* ..
As far as I can tell, this is not needed, and can be removed.

-- FIXED not needed

6.  SHOULD explicitly track library soname (so bumps aren't surprising). e.g. replace
%{_libdir}/libxmlrpc-epi.so.*
with
%{_libdir}/libxmlrpc-epi.so.0*

-- FIXED now explicit

Comment 3 Rex Dieter 2014-07-20 00:01:52 UTC
Looks good, APPROVED (though you didn't increment Release, it's a good idea to that even for reviews)

Comment 4 Shawn Starr 2014-07-20 21:54:56 UTC
New Package SCM Request
=======================
Package Name: xmlrpc-epi
Short Description: An implementation of the XML-RPC protocol in C
Upstream URL: http://xmlrpc-epi.sourceforge.net/
Owners: spstarr
Branches: fc21
InitialCC:

Comment 5 Rex Dieter 2014-07-20 22:00:52 UTC
resetting review flag, I think you meant fedora-cvs flag

Comment 6 Gwyn Ciesla 2014-07-21 12:58:48 UTC
Git done (by process-git-requests).

Comment 7 Rex Dieter 2014-09-24 20:16:44 UTC
Ping, I don't see any imports or builds yet.  Did you forget or have some problem I can help with?

Comment 8 Shawn Starr 2014-12-11 05:55:26 UTC
Sorry, I've just gotten back to things. Attempted to push (and remove dead.package).

W access for xmlrpc-epi DENIED to spstarr

Can someone fix please?

Comment 9 Shawn Starr 2014-12-11 06:50:36 UTC
New Package SCM Request
=======================
Package Name: xmlrpc-epi
Short Description: An implementation of the XML-RPC protocol in C
Upstream URL: http://xmlrpc-epi.sourceforge.net/
Owners: spstarr
Branches: fc21 devel
InitialCC:

Comment 10 Shawn Starr 2014-12-11 06:53:59 UTC
I meant...

Package Change Request
======================
Package Name: xmlrpc-epi
New Branches: devel
Owners: spstarr
InitialCC:

Comment 11 Shawn Starr 2014-12-11 06:57:33 UTC
Package Change Request
======================
Package Name: xmlrpc-epi
New Branches: devel
Owners: spstarr
InitialCC:

Third time's a charm, right?

Comment 12 Shawn Starr 2014-12-11 06:57:58 UTC
Package Change Request
======================
Package Name: xmlrpc-epi
New Branches: fc21 devel
Owners: spstarr
InitialCC:

Third time's a charm, right?

Comment 13 Rex Dieter 2014-12-11 15:32:02 UTC
Let's try this version instead:

Package Change Request
======================
Package Name: xmlrpc-epi
New Branches: f21 devel
Owners: spstarr rdieter
InitialCC:

Comment 14 Rex Dieter 2014-12-11 15:38:51 UTC
Package Change Request
======================
Package Name: xmlrpc-epi
New Branches: f21 devel
Owners: spstarr rdieter
InitialCC:

Comment 15 Kevin Fenzi 2014-12-11 23:25:09 UTC
Git done (by process-git-requests).

Comment 16 Shawn Starr 2015-06-06 04:12:18 UTC
This is already in Fedora 22


Note You need to log in before you can comment on or make changes to this bug.